/*
 * File         : BV_AudioCapThread.C
 * Author       : Tomasz Stachowiak
 * Created      : Tue Jul 28 15:01:52 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#include "BV_AudioCapThread.h"
#include "BV_AudioApp.h"

#include <sys/types.h>
#include <unistd.h>

BV_AudioCapThread::BV_AudioCapThread(void *app) : app_(app)
{
}

int BV_AudioCapThread::run()
{
  //printf("Audio capture process pid = %d\n", getpid());
  //fflush(stdout);
  while(running)
    ((BV_AudioApp *)app_)->send_audio();

  return 0;
}
